{ keys ?  import ../../variables/keys.nix
, passwords ? import ../../variables/passwords.crypt.nix 
}:

{
  mkRoot = { } @ args: {
    hashedPassword = passwords.users.root;
    openssh.authorizedKeys.keys = keys.users.steveej.openssh;
  } // args;

  mkUser = {uid, hashedPassword ? passwords.users.steveej, ... } @ args: {
    inherit uid hashedPassword;
    isNormalUser = true;
    extraGroups = [
      "docker"
      "wheel"
      "libvirtd"
      "networkmanager"
      "vboxusers"
      "users"
      "input"
      "audio"
      "video"
      "cdrom"
    ];
    openssh.authorizedKeys.keys = keys.users.steveej.openssh;
  } // args;
}
